<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE generatorConfiguration  PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"  "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">
<generatorConfiguration>
	<context id="MysqlTables" targetRuntime="MyBatis3Simple">
		<commentGenerator>
			<property name="suppressAllComments" value="true" />
		</commentGenerator>
		<jdbcConnection driverClass="oracle.jdbc.driver.OracleDriver"
			connectionURL="jdbc:oracle:thin:@192.168.57.74:1521:orcl" userId="hbaq"
			password="hbaq">
		</jdbcConnection>
		<javaTypeResolver>
			<property name="forceBigDecimals" value="false" />
		</javaTypeResolver>
		<javaModelGenerator targetPackage="com.xt.hb.data.model"
			targetProject="src/main/java">
			<property name="enableSubPackages" value="true" />
			<property name="trimStrings" value="true" />
		</javaModelGenerator>
		<sqlMapGenerator targetPackage="com.xt.hb.data.mappers"
			targetProject="src/main/resources">
			<property name="enableSubPackages" value="true" />
		</sqlMapGenerator>
		<javaClientGenerator type="XMLMAPPER"
			targetPackage="com.xt.hb.data.mappers" targetProject="src/main/java">
			<property name="enableSubPackages" value="true" />
			<!-- <property name="rootInterface" value="com.yuanxd.trust.server.mappers.BaseMapper"/> -->
		</javaClientGenerator>
		<!-- <table tableName="T_GIS_CBYJ_AREA" domainObjectName="CbyjArea"></table> -->
		<table tableName="T_SYS_PARAM" domainObjectName="SysParam"></table> 
	</context>
</generatorConfiguration>